{
  "codeName" : "Chart",
  "controlType" : "CHART",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository/PSCHARTS/Chart.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    }
  },
  "hookEventNames" : [ "LOAD", "BEFORELOAD" ],
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;BEFORELOAD",
    "logicTag" : "chart",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_chart",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "readOnly" : true,
  "modelid" : "BD8CD719-103A-4E5C-B1AD-21BD0D540672_chart",
  "modeltype" : "PSDECHART"
}